﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Text;
using Telerik.Windows.Controls.GridView;
using Telerik.Windows.Controls;

namespace ListBoxEditorCommaSeparated
{
    public partial class ListBoxEditor : UserControl
    {
        public ListBoxEditor()
        {
            InitializeComponent();
            listBox.ItemsSource = new[] { "English", "French", "German","Spanish" };
        }

        public string SelectedLanguages
        {
            get { return (string)GetValue(SelectedLanguagesProperty); }
            set { SetValue(SelectedLanguagesProperty, value); }
        }

        public static readonly DependencyProperty SelectedLanguagesProperty =
            DependencyProperty.Register("SelectedLanguages", typeof(string), typeof(ListBoxEditor), new PropertyMetadata(null));

        private void CheckBox_Click(object sender, RoutedEventArgs e)
        {
            string checkedItem = ((CheckBox)sender).DataContext as string;
            if (((CheckBox)sender).IsChecked==true)
            {
                this.listBox.SelectedItems.Add(checkedItem);
            }
            else
            {
                this.listBox.SelectedItems.Remove(checkedItem);
            }
        }

        private void listBox_SelectionChanged(object sender, System.Windows.Controls.SelectionChangedEventArgs e)
        {
            StringBuilder commaSeparated = new StringBuilder();

            for (int i = 0; i < this.listBox.SelectedItems.Count; i++)
            {
                commaSeparated.Append(this.listBox.SelectedItems[i]);
                if( i < this.listBox.SelectedItems.Count-1)
                    commaSeparated.Append(",");
            }

            this.SelectedLanguages = commaSeparated.ToString();
        }
    }
}
